/*------------------------------------*\
    #TEASER
\*------------------------------------*/
/**
 * Teaser component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

/**
 * The region the article that's being linked to belongs to.
 * Will typically be placed inside/at the beginning of the teaser text,
 * e.g. via <span class="c-teaser__region">Guadelope</span>
 *
 * 1. Make the text uppercased.
 * 2. Use light brown as the text color.
 * 3. Add some margin to the rest of the teaser text.
 */

.#{$inuit-namespace}teaser,
%#{$inuit-namespace}teaser {
    a {
        display: inline-block;
        position: relative;
    }
    img {
        min-width:260px;
        min-height:175px;

        @media #{$medium-up} {
            min-width:340px;
            min-height:175px;
        }
    }
    .c-teaser__img--left {
        img {
            min-width:160px;
            min-height:110px;
            @media #{$large-up} {
                min-width:290px;
                min-height:190px;
            }
        }
    }
    .t-personimage__override,
    .c-kesearch-result__imageholder {
        img {
            min-width:auto;
            min-height:auto;
        }
    }
}
.o-accordion__content .c-teaser__img--left,
.o-gridblock--1column .c-teaser__img--left {
    img {
        @media #{$large-up} {
            min-width:auto;
            min-height:auto;
        }
    }
}
.c-page-body__column--aside {
    .c-teaser {
        img {
            @media #{$medium-up} {
                min-width:290px;
                min-height:175px;
            }
        }
    }
}
.#{$inuit-namespace}teaser__region,
%#{$inuit-namespace}teaser__region {
    @extend %h-text-uppercase; /* [1] */
    color: $frs-color-light-brown; /* [2] */
    margin-right: .5em; /* [3] */
}

.#{$inuit-namespace}teaser__content,
%#{$inuit-namespace}teaser__content {
    margin-top: 20px;

    > h3 {
        margin-bottom: .5em;
        margin-top: 0;
    }

    // Remove bottom margin that came from o-media--stacked > o-media__body
    .#{$inuit-namespace}teaser > &,
    %#{$inuit-namespace}teaser > & {
        margin-bottom: 1rem;
        margin-top: 0;
    }
}

.#{$inuit-namespace}teaser__img,
%#{$inuit-namespace}teaser__img {
    &--left {
        margin-right: frs-halve($frs-base-unit);
    }
}

.#{$inuit-namespace}teaser__link,
%#{$inuit-namespace}teaser__link {
    @extend %icon--arrow-right;
    background-position: left center;
    background-size: 20px 20px;
    margin-top: 5px;
    padding-left: frs-halve($frs-base-unit);
}

.#{$inuit-namespace}teaser__title,
%#{$inuit-namespace}teaser__title {
    margin-top: 0;
}

.#{$inuit-namespace}teaser__meta,
%#{$inuit-namespace}teaser__meta {
    + .#{$inuit-namespace}teaser__title,
    + %#{$inuit-namespace}teaser__title {
        margin-top: 0;
    }
}
.c-stage-teaser__content .c-stage-teaser__link {
    background: transparent;
    color: $frs-color-blue;
    text-decoration:none;
    border:1px solid $frs-color-blue;
    padding:0.5rem 1.470588rem;
    -webkit-transition:.15s all ease;
    transition:.15s all ease;
    display: inline-block;
    vertical-align: middle;
    font: inherit;
    text-align: center;
    margin: -0.5rem 0 0 1rem;
    cursor: pointer;
    overflow: visible;
    & p {
        margin:0;
    }
}

.c-stage-teaser__content .c-stage-teaser__link-center {
    margin-top: 1rem;
    margin-left: auto;
    margin-right: auto;
    display: table;
}
.c-stage-teaser__content .c-stage-teaser__link-left {
    margin-top: 1rem;
}
